{% extends "paysans/farmspace.html" %}

{% block page_title %}
    Les contrats
{% endblock %}

{% block farm_content %}
    <form method="get" class="mb-4" id="filter_form">
        <div class="d-flex flex-row align-items-center">
            <label class="me-3" for="year_select">Année</label>
            <select name="year" id="year_select" class="form-select me-4" style="width: 6em;">
                {% for year in year_choices %}
                    <option value="{{ year }}">{{ year }}</option>
                {% endfor %}
            </select>

            <label class="me-3" for="period_select">Période</label>
            <select name="period" id="period_select" class="form-select" style="width: 13.5em;">
                <option value="S2">Février - Mai (S2)</option>
                <option value="summer">Juin - Septembre (été)</option>
                <option value="S1">Octobre - Janvier (S1)</option>
            </select>
        </div>
    </form>

    <div class="table-responsive">
    <table class="table table-striped table-hover align-middle">
        <thead>
        <tr>
            <th class="text-center">
                N°
            </th>
            <th class="text-center">
                Date de signature
            </th>
            <th>
                Souscripteur
            </th>
            <th>
                Période / Nombre de livraisons
            </th>
            <th class="text-end pe-4">
                Valeur totale
            </th>
            <th class="text-center">
                Actions
            </th>
        </tr>
        </thead>
        <tbody>
        {% for contract in contracts %}
            <tr>
                <td class="text-center">
                    {{ contract.id }}
                </td>
                <td class="text-center">
                    {{ contract.date_signature|date:"d/m/Y" }}
                </td>
                <td>
                    {{ contract.souscripteur.last_name|upper }} {{ contract.souscripteur.first_name }}
                </td>
                <td>
                    Du {{ contract.date_debut|date:"d/m/Y" }} au {{ contract.date_fin|date:"d/m/Y" }}
                    pour {{ contract.nombre_livraisons }} livraison(s)
                </td>
                <td class="text-end pe-4">
                    {{ contract.valeur_totale|floatformat:2 }} €
                </td>
                <td class="text-center">
                    {% if user.is_gestionnaire %}
                        <a href="{% url 'contrat_details' id_contrat=contract.id %}" target="_blank">
                            Détails
                        </a>
                    {% else %}
                        <a href="{% url 'farm_contract_details' ferme_id=ferme.id contract_id=contract.id %}">
                            Détails
                        </a>
                    {% endif %}
                </td>
            </tr>
        {% endfor %}
        {% if contracts|length == 0 %}
            <tr>
                <td colspan="6" class="text-center">
                Aucun résultat
                </td>
            </tr>
    {% endif %}
        </tbody>
    </table>
    </div>

    {% pagination_widget contracts request %}
{% endblock %}

{% block scripts %}
    <script>
        function submit_filter_form() {
            $("#filter_form").submit();
        }

        const period_select = $("#period_select");
        const year_select = $("#year_select");

        period_select.val("{{ period }}");
        year_select.val("{{ year }}");

        period_select.change(submit_filter_form);
        year_select.change(submit_filter_form);
    </script>
{% endblock %}
